<template>
  <v-navigation-drawer color="secondary" permanent app clipped>
    <v-list>
      <v-list-item
        v-for="(item, i) in items"
        :key="i"
        :to="item.to"
        router
        exact
      >
        <v-list-item-action>
          <v-icon>{{ item.icon }}</v-icon>
        </v-list-item-action>
        <v-list-item-content>
          <v-list-item-title v-text="item.title" />
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
export default {
  name: "NavigationDrawer",
  data() {
    return {
      items: [
        {
          icon: "mdi-apps",
          title: "Tableau de bord",
          to: "/"
        },
        {
          icon: "mdi-chart-bubble",
          title: "Scraping",
          to: "/scraping"
        },
        {
          icon: "mdi-account",
          title: "Profil",
          to: "/profil"
        }
      ]
    };
  }
};
</script>
